Package net.sf.saxon.option.local

## Class Numberer_he

- java.lang.Object
- - net.sf.saxon.expr.number.AbstractNumberer
  - - net.sf.saxon.expr.number.Numberer_en
    - - net.sf.saxon.option.local.Numberer_he

- All Implemented Interfaces:
    `Numberer`

      public class Numberer_he
      extends Numberer_en

  Class Numberer_he does number formatting for language="he" (Hebrew). This supports the xsl:number element.

- - ### Field Summary

    - ### Fields inherited from class net.sf.saxon.expr.number.AbstractNumberer

      `cyrillicLower, cyrillicUpper, greekLower, greekUpper, hebrew, hiraganaA, hiraganaI, katakanaA, katakanaI, latinLower, latinUpper, LOWER_CASE, TITLE_CASE, UPPER_CASE, westernDigits`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Numberer_he()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `format​(long number, UnicodeString picture, NumericGroupFormatter numGroupFormatter, java.lang.String letterValue, java.lang.String ordinal)` | Format a number into a string
    `protected java.lang.String` | `toTraditionalSequence​(long number, java.lang.String groupSeparator)` | Convert a number to traditional Hebrew representation.

    - ### Methods inherited from class net.sf.saxon.expr.number.Numberer_en

      `dayName, monthName, ordinalSuffix, setLanguage, setTensUnitsSeparatorCardinal, setTensUnitsSeparatorOrdinal, toOrdinalWords, toWords`

    - ### Methods inherited from class net.sf.saxon.expr.number.AbstractNumberer

      `alphaDefault, convertDigitSystem, defaultedLocale, format, getCalendarName, getCountry, getEraName, getLanguage, getOrdinalSuffixForDateTime, halfDayName, setCountry, toAlpha, toAlphaSequence, toJapanese, toRoman, toWords, zero`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Numberer_he

          public Numberer_he()

  - ### Method Detail

    - #### format

          public java.lang.String format​(long number,
                                         UnicodeString picture,
                                         NumericGroupFormatter numGroupFormatter,
                                         java.lang.String letterValue,
                                         java.lang.String ordinal)

      Format a number into a string
      Specified by:
        `format` in interface `Numberer`
      Overrides:
        `format` in class `AbstractNumberer`
      Parameters:
        `number` - The number to be formatted
        `picture` - The format token. This is a single component of the format attribute of xsl:number, e.g. "1", "01", "i", or "a"
        `numGroupFormatter` - object contains separators to appear between groups of digits
        `letterValue` - The letter-value specified to xsl:number: "alphabetic" or "traditional". Can also be an empty string or null.
        `ordinal` - The value of the ordinal attribute specified to xsl:number The value "yes" indicates that ordinal numbers should be used; "" or null indicates that cardinal numbers
      Returns:
        the formatted number. Note that no errors are reported; if the request is invalid, the number is formatted as if the string() function were used.

    - #### toTraditionalSequence

          protected java.lang.String toTraditionalSequence​(long number,
                                                           java.lang.String groupSeparator)

      Convert a number to traditional Hebrew representation. All parameters are the same as for format()
      Parameters:
        `number` -
        `groupSeparator` -
      Returns:
        The number in traditional Hebrew. The result for numbers above 9999 is not really well-defined. Neither is 0.